/*---------------------------------------------------------------
This file is part of the Buildable Evolution Software Project. 

http://www.demo.cs.brandeis.edu/pr/buildable
(C) Pablo Funes and Jordan B. Pollack 1997-2008
pablo@cs.brandeis.edu

The methods and configurations incorporated in the Builable Evolution
Software Project are covered in part by United States patent
6,434,492 "Computer apparatus and method for analyzing structural
stability" of August 13, 2002. 

The Buildable Evolution Software Project is free software: you 
can redistribute it and/or modify it under the terms of the 
GNU General Public License as published by the Free Software 
Foundation, either version 3 of the License, or (at your option) 
any later version. 

The Buildable Evolution Software Project is distributed in the
hope that it will be useful, but WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more
details. 

You should have received a copy of the GNU General Public License 
along with the software. If not, see <http://www.gnu.org/licenses/>. 
---------------------------------------------------------------*/
package evocad;

import java.awt.Canvas;
import java.awt.Graphics;
import java.awt.Point;
public class NewTrash extends Canvas{

LegoCanvas lfc;
public NewTrash(LegoCanvas passLfc){
  lfc =passLfc;
  repaint();
 

}
public Point getLocOnScreen(){
	Point point = lfc.applet.theTrash.getLocationOnScreen();
	Point point2 = lfc.getLocationOnScreen();
	//System.out.println("2X="+point2.x+"2Y="+point2.y);
	point.x=point.x-point2.x;
	point.y=point.y-point2.y;
	return point;
	}
  public void update( Graphics g ) { 
	//System.out.println("inUpdate in LEGOCALLER"); 
	//paintAll( g ); 
	paint(g);
    }  
    
     public void paint(Graphics g) {  
     	//System.out.println("IN NEW TRASH PAINT");
     	g.drawImage(lfc.trash.trashImage, 0, 0, 100, 125, this);         }



}